Bug 1967983 (CVE-2021-3580) - CVE-2021-3580 nettle: Remote crash in RSA decryption via manipulated ciphertext
Summary: CVE-2021-3580 nettle: Remote crash in RSA decryption via manipulated ciphertext
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3580
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1969396 1969398 1967986 1967987 1967989 1967990 1969395
Blocks: 1967984 1955718
TreeView+ depends on / blocked
 
Reported: 2021-06-04 15:58 UTC by Huzaifa S. Sidhpurwala
Modified: 2022-04-17 21:26 UTC (History)
7 users (show)

Fixed In Version: nettle 3.7.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in nettle in the way its RSA decryption functions handle specially crafted ciphertext. This flaw allows an attacker to provide a manipulated ciphertext, leading to an application crash and a denial of service.
Clone Of:
Environment:
Last Closed: 2021-11-09 21:50:33 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4451 0 None None None 2021-11-09 18:50:14 UTC

Description Huzaifa S. Sidhpurwala 2021-06-04 15:58:12 UTC
Multiple issues were found with Nettle's RSA decryption functions. These can be triggered by providing manipulated ciphertext and could lead to application crash and denial of service.

Since nettle is used with gnuTLS, there is a possibility that a remote client could crash a server compiled with gnuTLS when RSA is used for the initial key exchange.

Comment 4 Huzaifa S. Sidhpurwala 2021-06-08 11:07:36 UTC
Created mingw-nettle tracking bugs for this issue:

Affects: fedora-all [bug 1969396]


Created nettle tracking bugs for this issue:

Affects: fedora-all [bug 1969395]

Comment 7 errata-xmlrpc 2021-11-09 18:50:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4451 https://access.redhat.com/errata/RHSA-2021:4451

Comment 8 Product Security DevOps Team 2021-11-09 21:50:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3580


Note You need to log in before you can comment on or make changes to this bug.